Bug 106188 - Unused colors not removed from document colors list
Summary: Unused colors not removed from document colors list
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Color-Picker-Widget Document-Colors-Palette
  Show dependency treegraph
 
Reported: 2017-02-25 14:32 UTC by Yousuf Philips (jay) (retired)
Modified: 2021-03-23 04:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-02-25 14:32:53 UTC
Steps:
1) Open Writer
2) Type some text and set its color to Green
3) Open up the color widget and notice that Green is in the document colors palette
4) Press undo or set the selected text color back to automatic and see that Green wasnt removed from the document colors palette

Version: 5.4.0.0.alpha0+
Build ID: 36de6c50684c8241969a2064d30aff41e0bc5d97
CPU threads: 2; OS: Linux 3.19; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-02-22_23:33:52
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Heiko Tietze 2017-02-25 21:01:49 UTC
Confirming. The reverted color remains in the document colors even after reloading it. The property is stored in the document as <style:style style:name="T2" style:family="text"><style:text-properties fo:color="#ffff00"/></style:style>. But <text:span text:style-name="T2"> isn't used anymore in the document.

Likely the issue is true for all other properties as well. For the colors a solution could be to compare the list of styles against what is actually used.

Version: 5.3.0.3
Build ID: 5.3.0-2
CPU Threads: 8; OS Version: Linux 4.9; UI Render: default; VCL: kde4; Layout Engine: new; 
Locale: de-DE (en_US.UTF-8); Calc: group
Comment 2 QA Administrators 2019-03-23 03:17:29 UTC Comment hidden (obsolete)
Comment 3 Dieter 2019-03-23 05:31:15 UTC
Still present in

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 91cdf22b88a4f7bec243c8fb187627e766d3294c
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-03-08_00:38:10
Locale: en-US (de_DE); UI-Language: en-US
Calc: threaded
Comment 4 QA Administrators 2021-03-23 04:21:00 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug